MEMCACHED_LIB_VERSION(3)

NAME
memcached_lib_version - libmemcached Documentation

SYNOPSIS

    #include <libmemcached/memcached.h>
        Compile and link with -lmemcached

    const char *memcached_lib_version(void)

        Returns
            version string of libmemcached

    memcached_return_t <#_CPPv418memcached_return_t> memcached_version(memcached_st <#_CPPv412memcached_st> *ptr)

        Parameters
            ptr -- pointer to initialized memcached_st <#_CPPv412memcached_st> struct

        Returns
            memcached_return_t <#_CPPv418memcached_return_t> indicating success

DESCRIPTION

memcached_lib_version() is used to return a simple version string representing the libmemcached version (client library, not server).

memcached_version() is used to set the major, minor, and micro versions of each memcached server being used by the memcached_st <#_CPPv412memcached_st> connection structure. It returns the memcached server return code.

RETURN VALUE

memcached_lib_version() returns a string with the version of the libmemcached driver.

A value of memcached_return_t <#_CPPv418memcached_return_t> is returned from :func:'memcached_version'

On success that value will be MEMCACHED_SUCCESS <#_CPPv4N18memcached_return_t17MEMCACHED_SUCCESSE>.

If called with the MEMCACHED_BEHAVIOR_USE_UDP <#_CPPv4N20memcached_behavior_t26MEMCACHED_BEHAVIOR_USE_UDPE> behavior set, the value MEMCACHED_NOT_SUPPORTED <#_CPPv4N18memcached_return_t23MEMCACHED_NOT_SUPPORTEDE> will be returned.

Use memcached_strerror() <#_CPPv418memcached_strerrorP12memcached_st18memcached_return_t> to translate this value to a printable string.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror>